<ion-header>
  <ion-toolbar>
    <ion-title style="color: #fff; padding: 0; text-align: left; padding-left: 24px;">Kühlkammer JG Möschach</ion-title>
    <ion-button slot="end" (click)="reload()"><ion-icon name="refresh"></ion-icon></ion-button>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div fxLayout="column" fxLayoutAlign="start center">
    <table mat-table [dataSource]="_fridgeData | async" class="mat-elevation-z8" style="width: 100%;">

      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef class="name-col">Erleger</th>
        <td mat-cell *matCellDef="let element" class="name-col">
          <span class="normal-row">{{element.name}}</span>
        </td>
      </ng-container>

      <ng-container matColumnDef="type">
        <th mat-header-cell *matHeaderCellDef class="type-col">Wildart</th>
        <td mat-cell *matCellDef="let element" class="type-col">
          <span class="normal-row">{{element.type}}</span>
        </td>
      </ng-container>

      <ng-container matColumnDef="price">
        <th mat-header-cell *matHeaderCellDef class="price-col">Betrag</th>
        <td mat-cell *matCellDef="let element" class="price-col">
          <span class="normal-row">{{element.price | number:'1.2-2'}} €</span>
        </td>
      </ng-container>

      <ng-container matColumnDef="paid">
        <th mat-header-cell *matHeaderCellDef class="paid-col">Bezahlt</th>
        <td mat-cell *matCellDef="let element" class="paid-col">
          <span class="normal-row"><mat-checkbox [checked]="element.paid" disabled> </mat-checkbox></span>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="_displayColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: _displayColumns;" (click)="openDetails(row)"></tr>
    </table>
  </div>
</ion-content>

<ion-footer>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="newEntry()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
  <ion-toolbar color="secondary">
  </ion-toolbar>
</ion-footer>
